Hooks:PostHook(GuiTweakData,"init","cod_warzone_addon_reticles_init",function(self,tweak_data)
	local wts = self.weapon_texture_switches
	
	local path = "units/cod_warzone_reticles/"
	local new_colors = {
		"red",
		"yellow",
		"green",
		"blue"
	}
	local new_reticles = {
		{
			name_id = "menu_warzone_reticle_1",
			texture_path = path .. "warzone_reticle_1_il"
		},
		{
			name_id = "menu_warzone_reticle_2",
			texture_path = path .. "warzone_reticle_2_il"
		},
		{
			name_id = "menu_warzone_reticle_3",
			texture_path = path .. "warzone_reticle_3_il"
		},
		{
			name_id = "menu_warzone_reticle_4",
			texture_path = path .. "warzone_reticle_4_il"
		},
		{
			name_id = "menu_warzone_reticle_5",
			texture_path = path .. "warzone_reticle_5_il"
		},
		{
			name_id = "menu_warzone_reticle_6",
			texture_path = path .. "warzone_reticle_6_il"
		},
		{
			name_id = "menu_warzone_reticle_7",
			texture_path = path .. "warzone_reticle_7_il"
		},
		{
			name_id = "menu_warzone_reticle_8",
			texture_path = path .. "warzone_reticle_8_il"
		},
--		{
--			name_id = "menu_warzone_reticle_9",
--			texture_path = path .. "warzone_reticle_9_il"
--		},
--		{
--			name_id = "menu_warzone_reticle_10",
--			texture_path = path .. "warzone_reticle_10_il"
--		},


--		{
--			name_id = "menu_warzone_reticle_20",
--			texture_path = path .. "warzone_reticle_20_il"
--		}
	}


	--for each color, check if a new color exists, and if does not, add it
	for _,new_color in ipairs(new_colors) do 
		local has_color = false
		
		for __,data in pairs(wts.color_indexes) do 
			if data.color == new_color then 
				has_color = true
				break
			end
		end
		
		if not has_color then 
			local i = #wts.color_indexes + 1
			table.insert(wts.color_indexes,i,{color=new_color,dlc="gage_pack_jobs"})
		end
	end
	
	for _,new_reticle in pairs(new_reticles) do 
		table.insert(wts.types.sight,new_reticle)
	end
	
	
	
end)